class SSCheck expands Actor;

var PlayerPawn ThePlayer;
var int FireCnt;
var bool bDropIn;
var int NumFires;

event Tick(float DeltaTime)
{
	if ( ThePlayer == none || ThePlayer.bDeleteMe )
	{
		FireCnt = 9;
		Destroy();
		return;
	}

	if (ThePlayer.bJustFired && ThePlayer.bFire == 0 && !Level.Game.bRestartLevel)
	{
//		log("Fire "$FireCnt+1); BroadcastMessage("Fire "$FireCnt+1);

		if (FireCnt < NumFires)
		{
			BroadcastMessage( ThePlayer.PlayerReplicationInfo.PlayerName@"is spectating the game." );
			Log( ThePlayer.PlayerReplicationInfo.PlayerName@"is spectating the game." );
			FireCnt++;
			ThePlayer.bJustFired = False;
			ThePlayer.bHidden = True;
			ThePlayer.bBehindview = True;
			ThePlayer.PlayerReplicationInfo.bWaitingPlayer = True;
			ThePlayer.GotoState('PlayerWaiting');
		} else
		if (FireCnt == NumFires)
		{
			BroadcastMessage( ThePlayer.PlayerReplicationInfo.PlayerName@"has joined the game." );
			Log( ThePlayer.PlayerReplicationInfo.PlayerName@"has joined the game." );
			ThePlayer.PlayerReplicationInfo.bWaitingPlayer = False;
			ThePlayer.bHidden = False;
			ThePlayer.bBehindview = False;
			if( Level.NetMode==NM_DedicatedServer || Level.NetMode==NM_ListenServer || !Level.Game.bRestartLevel )
			{
				ThePlayer.GotoState(ThePlayer.PlayerRestartState);
			}
			if (!bDropIn)
			{
					Level.Game.ReStartPlayer(ThePlayer);
			}
			ThePlayer.StartWalk();
			FireCnt = 9;
			disable('Tick');
		}
	}
	else
 	{
		if (ThePlayer.bFire == 1) ThePlayer.bJustFired = True;
		if (ThePlayer.Health <= 0) { ThePlayer.GotoState(ThePlayer.PlayerRestartState); Level.Game.ReStartPlayer(ThePlayer); }
	}
}

defaultproperties
{
     bDropIn=True
     NumFires=1
     RemoteRole=ROLE_None
     bHidden=True
}
